# idlist.h File Reference

A list of GWEN_TYPE_UINT32 objects. More...

`#include <gwenhywfar/gwenhywfarapi.h>`
`#include <gwenhywfar/types.h>`

Go to the source code of this file.

## Typedefs

typedef GWEN_IDLIST | GWEN_IDLIST

## Functions

int | GWEN_IdList_AddId (GWEN_IDLIST *idl, GWEN_TYPE_UINT32 id)
void | GWEN_IdList_Clear (GWEN_IDLIST *idl)
int | GWEN_IdList_DelId (GWEN_IDLIST *idl, GWEN_TYPE_UINT32 id)
GWEN_IDLIST * | GWEN_IdList_dup (const GWEN_IDLIST *idl)
void | GWEN_IdList_free (GWEN_IDLIST *idl)
GWEN_TYPE_UINT32 | GWEN_IdList_GetFirstId (GWEN_IDLIST *idl)
GWEN_TYPE_UINT32 | GWEN_IdList_GetNextId (GWEN_IDLIST *idl)
int | GWEN_IdList_HasId (const GWEN_IDLIST *idl, GWEN_TYPE_UINT32 id)
GWEN_IDLIST * | GWEN_IdList_new ()
int | GWEN_IdList_Sort (GWEN_IDLIST *idl)

## Detailed Description

A list of GWEN_TYPE_UINT32 objects.

## Typedef Documentation

typedef struct GWEN_IDLIST GWEN_IDLIST